<?php

$pages = [
	"accueil" => [
		"titre" => "Accueil",
	],
	"loisirs" => [
		"titre" => "Loisirs",
	],
	
];


if (	!isset($_GET["page"])
	||	!isset($pages[$_GET["page"]])
) {
	
	$code_page_actuelle = "accueil"; // page par défaut
	
} else {
	
	$code_page_actuelle = $_GET["page"];
	
}


$informations_page = $pages[$code_page_actuelle];


?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8"/>
	<title><?php echo htmlspecialchars($informations_page["titre"]);?> | Mon Site</title>
	<link rel="stylesheet" href="style.css"/>
</head>
<body>
	
	<h1>
		<?php echo htmlspecialchars($informations_page["titre"]);?>
	</h1>
	
	<div class="conteneur_page">
		<?php require "contenu/$code_page_actuelle.php";?>
	</div>
	
	<div class="menu">
		
		<?php foreach ($pages as $code_page => $tab_page) {?>
			
			<a href="?page=<?php echo htmlspecialchars($code_page);?>">
				<?php echo htmlspecialchars($tab_page["titre"]);?></a>
			
		<?php }?>
		
	</div>
	
</body>
</html>




